// packageD/article/PayarticleList/PayarticleList.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    language: '',
    page:1
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    let language = wx.getStorageSync('langIndex');
    this.setData({ 'language': language.en});
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    console.log(this.data.current_page, this.data.last_page);
    if(this.data.current_page >= this.data.last_page){
      wx.showToast({
        title: '没有更多',
        icon:'none',
        duration:1000
      });
    }else{
      let is_page = this.data.page + 1;
      this.setData({
        page:is_page
      });
      this.getMore();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  toNoticeInfo(item){
    console.log(item.currentTarget.dataset.isda.id);
    wx.navigateTo({
      url: '/packageA/member/article/articleContent/articleContent?article_id=' + item.currentTarget.dataset.isda.id
    });
  },
  getData(){
    var that = this;
    let urlStr = app.getNetAddresss("plugin.article-pay.api.index.articlePayData");
    app._getNetWork({
      url: urlStr,
      data:{
        page:that.data.page,
        art: 'payed'
      },
      success: function (resdata) {
        var res = resdata.data;
        console.log(res);
        if (res.result == 1){
          that.setData({
            datas: res.data.getPayed.articles.data,
            current_page: res.data.getPayed.articles.current_page,
            last_page: res.data.getPayed.articles.last_page
          });
        }
        
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  getMore(){
    var that = this;
    let urlStr = app.getNetAddresss("plugin.article-pay.api.index.articlePayData");
    app._getNetWork({
      url: urlStr,
      data: {
        page: that.data.page,
        art: 'payed'
      },
      success: function (resdata) {
        var res = resdata.data;
        console.log(res);
        if (res.result == 1) {
          that.setData({
            datas: that.data.datas.concat(res.data.getPayed.articles.data),
            current_page: res.data.getPayed.articles.current_page,
            last_page: res.data.getPayed.articles.last_page
          });
        }

      },
      fail: function (res) {
        console.log(res);
      }
    });
  }
});